Package org.springframework.web.bind.annotation

# Annotation Interface BindParam

@Target({PARAMETER,FIELD}) @Retention(RUNTIME) @Documented public @interface BindParam
Annotation to bind values from a web request such as request parameters or path variables to fields of a Java object. Supported on constructor parameters of `@ModelAttribute` controller method arguments

Since:
  6.1
Author:
  Rossen Stoyanchev
See Also:
  - `DataBinder.construct(org.springframework.validation.DataBinder.ValueResolver)`

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`value`
The lookup name to use for the bind value.

## Element Details

### value

String value
The lookup name to use for the bind value.

Default:
  ""